import React from 'react';
import { Option } from '../types.js';
import { CheckboxEventParams } from 'ink-checkbox';
export declare const Column: React.FC<ColumnProps>;
export type ColumnProps = {
    columnNo: number;
    columItemCount: number;
    focusedIndex: number;
    options: Option[];
    onChanged?: (props: CheckboxEventParams) => void;
    onSubmitted?: (props: CheckboxEventParams) => void;
};
